org.eclipse.cdt.utils.debug

## Class DebugReferenceType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType
  - - org.eclipse.cdt.utils.debug.DebugDerivedType
    - - org.eclipse.cdt.utils.debug.DebugReferenceType

    public class DebugReferenceType
    extends DebugDerivedType

DebugReferenceType

### Constructor Summary

Constructors
Constructor and Description
`DebugReferenceType(DebugType type)`

### Method Summary

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugDerivedType

`getComponentType, setComponentType`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugReferenceType

    public DebugReferenceType(DebugType type)